> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mycreditapp.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get credit applications

> Retrieve a list of credit applications with filtering and pagination.
    #### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
    | Guest | Host | Self |
    |-------|------|------|
    | ✅    | ❌   | ✅  |



## OpenAPI

````yaml /content/developer-guide/api-reference/openapi_v1.json get /credit-applications
openapi: 3.1.0
info:
  title: API - V1
  version: 1.0.0
servers:
  - url: https://api.mycreditapp.ai/v1-beta
security: []
paths:
  /credit-applications:
    get:
      tags:
        - Credit applications
      summary: Get credit applications
      description: |-
        Retrieve a list of credit applications with filtering and pagination.
            #### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
            | Guest | Host | Self |
            |-------|------|------|
            | ✅    | ❌   | ✅  |
      operationId: get_credit_applications_credit_applications_get
      parameters:
        - name: shipper_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: >-
              Filter credit applications by guest
              [UUID](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
            examples:
              - c1e2f3b4-5a6b-7c8d-9e0f-1a2b3c4d5e6f
            title: Shipper Id
          description: >-
            Filter credit applications by guest
            [UUID](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
        - name: forwarder_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: >-
              Filter credit applications by owner
              [UUID](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
            examples:
              - d2f8e6c4-1b3c-4a7b-9d2f-3b1e0a987654
            title: Forwarder Id
          description: >-
            Filter credit applications by owner
            [UUID](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
        - name: credit_application_types
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                uniqueItems: true
                items:
                  $ref: '#/components/schemas/CreditApplicationType'
                minItems: 1
              - type: 'null'
            description: Filter by credit application types
            title: Credit Application Types
          description: Filter by credit application types
        - name: credit_application_statuses
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                uniqueItems: true
                items:
                  $ref: '#/components/schemas/CreditApplicationStatus'
                minItems: 1
              - type: 'null'
            description: Filter by credit application statuses
            title: Credit Application Statuses
          description: Filter by credit application statuses
        - name: search_field
          in: query
          required: false
          schema:
            const: organization_name
            type: string
            description: Field to search by
            default: organization_name
            title: Search Field
          description: Field to search by
        - name: search_text
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 255
                minLength: 1
              - type: 'null'
            description: Text to search for
            examples:
              - Example Corp
            title: Search Text
          description: Text to search for
        - name: order_by
          in: query
          required: false
          schema:
            enum:
              - organization_id
              - organization_name
              - organization_email
              - credit_application_type
              - created_at
              - updated_at
              - amount
              - payment_terms
              - status
              - extra_details_updated_at
              - extra_details_created_at
            type: string
            description: Field to order the results by
            default: organization_name
            title: Order By
          description: Field to order the results by
        - name: order_dir
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            description: Direction of the ordering
            default: asc
            title: Order Dir
          description: Direction of the ordering
        - name: limit
          in: query
          required: true
          schema:
            type: integer
            maximum: 100
            exclusiveMinimum: 0
            description: Maximum number of items to return
            examples:
              - 10
              - 20
              - 50
            title: Limit
          description: Maximum number of items to return
        - name: offset
          in: query
          required: true
          schema:
            type: integer
            minimum: 0
            description: Number of items to skip for pagination
            examples:
              - 0
              - 50
              - 100
            title: Offset
          description: Number of items to skip for pagination
        - name: Requester-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: |

              The unique identifier of the organization making the request.
              **This ID is used to authorize the requester within the system**.
            examples:
              - 054b4106-174b-46b0-97f8-86d8d7b6f0af
            title: Requester-Organization-Id
          description: |

            The unique identifier of the organization making the request.
            **This ID is used to authorize the requester within the system**.
        - name: Target-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: >

              The unique identifier of the organization that is the target of
              the request.

              The `Target-Organization-ID` may match the
              `Requester-Organization-ID` if the requester accesses their own
              resources.

              If the `Target-Organization-ID` differs from the
              `Requester-Organization-ID`, the requester can access third-party
              resources **if the requester has a connection with the target
              organization and is authorized to perform such actions**.
            examples:
              - 123e4567-e89b-12d3-a456-426614174000
            title: Target-Organization-Id
          description: >

            The unique identifier of the organization that is the target of the
            request.

            The `Target-Organization-ID` may match the
            `Requester-Organization-ID` if the requester accesses their own
            resources.

            If the `Target-Organization-ID` differs from the
            `Requester-Organization-ID`, the requester can access third-party
            resources **if the requester has a connection with the target
            organization and is authorized to perform such actions**.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreditApplicationList'
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Unsupported CRUD operation!
                    type: request
                    code: unsupported_crud_operation
              schema:
                $ref: '#/components/schemas/APIError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Token is required!
                    type: token
                    code: token_required
                  - loc: []
                    msg: The token has expired!
                    type: token
                    code: token_expired
                  - loc: []
                    msg: Invalid token!
                    type: token
                    code: invalid_token
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Access denied!
                    type: request
                    code: access_denied
              schema:
                $ref: '#/components/schemas/APIError'
        '404':
          description: Not Found
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Account not found!
                    type: request
                    code: account_not_found
                  - loc: []
                    msg: Organization not found!
                    type: request
                    code: organization_not_found
              schema:
                $ref: '#/components/schemas/APIError'
        '409':
          description: Conflict
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: >-
                      The account is in the process of being deleted! The
                      Account's email can only be reused after its data has been
                      completely deleted. The removal process may take up to 24
                      hours.
                    type: request
                    code: account_being_deleted
                  - loc: []
                    msg: >-
                      The organization is in the process of being deleted! The
                      removal process may take up to 24 hours.
                    type: request
                    code: organization_being_deleted
              schema:
                $ref: '#/components/schemas/APIError'
        '413':
          description: Request Entity Too Large
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: The request is too large!
                    type: request
                    code: request_too_large
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc:
                      - string
                      - 0
                    msg: string
                    type: string
                    code: validation_error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Error processing request, please try later!
                    type: try_later
                    code: internal_conflict_error
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Service is under maintenance, please try later!
                    type: maintanance
                    code: service_under_maintenance
      security:
        - Token: []
components:
  schemas:
    CreditApplicationType:
      type: string
      enum:
        - credit_terms
        - trade_finance
        - factoring
      title: CreditApplicationType
    CreditApplicationStatus:
      type: string
      enum:
        - pending
        - internal_review
        - external_review
        - needs_action
        - approved
        - finalized
        - declined
        - rejected
        - expired
        - sign_document_created
        - sign_document_in_progress
        - sign_document_completed
        - sign_document_expired
        - sign_document_canceled
        - sign_document_declined
        - sign_document_process_failed
      title: CreditApplicationStatus
    CreditApplicationList:
      properties:
        items:
          items:
            $ref: '#/components/schemas/CreditApplicationListItem'
          type: array
          title: Items
          description: List of credit application list items
        total_items:
          type: integer
          minimum: 0
          title: Total Items
          description: Total number of credit applications in the list
          examples:
            - 10
            - 20
            - 50
      type: object
      required:
        - items
        - total_items
      title: CreditApplicationList
    APIError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Detail
          description: >

            List of returned errors.

            **All unsuccessful error codes except code `422` can only contain 1
            element in the list**.
      type: object
      required:
        - detail
      title: APIError
    CreditApplicationListItem:
      properties:
        id:
          type: string
          maxLength: 100
          minLength: 10
          title: Id
          description: >-
            Unique identifier of the [credit
            application](https://docs.mycreditapp.ai/api-reference/credit-applications/create-credit-terms-application)
          examples:
            - b2a9f8d3-7b7d-4c1b-a2a1-9c2d0b123456
        organization:
          $ref: '#/components/schemas/CreditApplicationOrganization'
          description: Organization that is part of the credit application
        credit_application_type:
          $ref: '#/components/schemas/CreditApplicationType'
          description: Type of credit application
        status:
          $ref: '#/components/schemas/CreditApplicationStatus'
          description: Current status of the credit application
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the credit application was created
          examples:
            - '2025-01-01T12:00:00.123456'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the credit application was last updated
          examples:
            - '2025-01-02T12:00:00.123456'
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
          description: Timestamp when the credit application will expire
          examples:
            - '2025-01-02T12:00:00.123456'
        amount:
          type: integer
          title: Amount
          description: Amount of credit in the credit application
          examples:
            - 50000
            - 100000
        currency:
          type: string
          maxLength: 3
          minLength: 3
          title: Currency
          description: >-
            Valid [currency
            code](https://docs.mycreditapp.ai/api-reference/resources/get-the-available-currencies)
            in ISO 4217
          examples:
            - USD
            - EUR
        payment_terms:
          type: string
          maxLength: 20
          title: Payment Terms
          description: Payment terms agreed for credit
          examples:
            - Net 30
            - Net 90
        security_compliance:
          type: string
          title: Security Compliance
          description: Credit application security compliance enhancements
          examples:
            - Sign a credit agreement, Agree to UCC-1 Filing or similar
        extra_details:
          anyOf:
            - $ref: '#/components/schemas/RetrieveCreditApplicationPostApprovalChange'
            - $ref: '#/components/schemas/RetrieveCreditApplicationNeedsActionChange'
            - $ref: '#/components/schemas/RetrieveCreditApplicationDeclineDetail'
            - type: 'null'
          title: Extra Details
      type: object
      required:
        - id
        - organization
        - credit_application_type
        - status
        - created_at
        - updated_at
        - expires_at
        - amount
        - currency
        - payment_terms
        - security_compliance
      title: CreditApplicationListItem
    ErrorItem:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Loc
          description: |

            Shows the dynamic location of the current error.
            If an empty array is returned, the error is static.
          examples:
            - - body
              - date_field
              - 0
            - - header
              - Authorization
        msg:
          type: string
          title: Msg
          description: |

            A human-readable message providing more details about the error.
          examples:
            - Token is required!
            - Invalid token!
        type:
          type: string
          title: Type
          description: >

            A string indicating the type of error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible type for a specific error**.
          examples:
            - token
            - request
            - try_later
        code:
          type: string
          title: Code
          description: >

            Unique text error code identifying the error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible code for a specific error**.
          examples:
            - token_required
            - invalid_token
            - access_denied
      type: object
      required:
        - loc
        - msg
        - type
        - code
      title: ErrorItem
    CreditApplicationOrganization:
      properties:
        id:
          type: string
          maxLength: 100
          minLength: 1
          title: Id
          description: >-
            Unique identifier of the
            [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
          examples:
            - c1e2f3b4-5a6b-7c8d-9e0f-1a2b3c4d5e6f
        name:
          type: string
          maxLength: 300
          minLength: 1
          title: Name
          description: >-
            Name of the
            [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
          examples:
            - Example Corp.
        email:
          type: string
          format: email
          title: Email
          description: >-
            Official email of the
            [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
          examples:
            - info@example.com
      type: object
      required:
        - id
        - name
        - email
      title: CreditApplicationOrganization
    RetrieveCreditApplicationPostApprovalChange:
      properties:
        proposed_amount:
          anyOf:
            - type: integer
              maximum: 2147483647
              minimum: 0
            - type: 'null'
          title: Proposed Amount
          description: Proposed new credit amount
          examples:
            - 60000
            - 70000
        proposed_terms:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Proposed Terms
          description: Proposed new payment terms
          examples:
            - Net 45
            - Net 90
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when post approval action record was created
          examples:
            - '2025-01-01T12:00:00.123456'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when post approval action record was updated
          examples:
            - '2025-01-01T12:00:00.123456'
      type: object
      required:
        - created_at
        - updated_at
      title: RetrieveCreditApplicationPostApprovalChange
    RetrieveCreditApplicationNeedsActionChange:
      properties:
        financial_analysis_type:
          $ref: '#/components/schemas/CreditApplicationFinancialAnalysisType'
          description: Type of financial analysis required
        financial_documents:
          anyOf:
            - items:
                $ref: '#/components/schemas/CreditApplicationFinancialDocument'
              type: array
              minItems: 1
            - type: 'null'
          title: Financial Documents
          description: List of financial documents required
        additional_documents:
          anyOf:
            - items:
                type: string
              type: array
              minItems: 1
            - type: 'null'
          title: Additional Documents
          description: Additional supporting documents
          examples:
            - One year cashflow statement
        message:
          anyOf:
            - type: string
              maxLength: 500
              minLength: 1
            - type: 'null'
          title: Message
          description: Optional message for the applicant
          examples:
            - Please provide updated financials
        additional_documents_sent:
          type: boolean
          title: Additional Documents Sent
          description: Indicates if additional documents were sent
          default: false
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when needs-action record was created
          examples:
            - '2025-01-01T12:00:00.123456'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when needs-action record was updated
          examples:
            - '2025-01-01T12:00:00.123456'
      type: object
      required:
        - financial_analysis_type
        - created_at
        - updated_at
      title: RetrieveCreditApplicationNeedsActionChange
    RetrieveCreditApplicationDeclineDetail:
      properties:
        reasons:
          items:
            type: string
          type: array
          minItems: 1
          title: Reasons
          description: List of reasons for declining the application
          examples:
            - Insufficient collateral
        suggestions:
          anyOf:
            - type: string
              maxLength: 200
              minLength: 1
            - type: 'null'
          title: Suggestions
          description: Optional suggestions for the applicant
          examples:
            - Increase collateral
        message:
          anyOf:
            - type: string
              maxLength: 500
              minLength: 1
            - type: 'null'
          title: Message
          description: Optional message regarding the decline
          examples:
            - Application declined due to risk
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when decline detail action record was created
          examples:
            - '2025-01-01T12:00:00.123456'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when decline detail action record was updated
          examples:
            - '2025-01-01T12:00:00.123456'
      type: object
      required:
        - reasons
        - created_at
        - updated_at
      title: RetrieveCreditApplicationDeclineDetail
    CreditApplicationFinancialAnalysisType:
      type: string
      enum:
        - full
        - partial
        - none
      title: CreditApplicationFinancialAnalysisType
    CreditApplicationFinancialDocument:
      type: string
      enum:
        - year_end_financial
        - interim_financial
        - bank_statement
        - financial_package
      title: CreditApplicationFinancialDocument
  securitySchemes:
    Token:
      type: http
      description: >-
        [Bearer
        authentication](/content/developer-guide/introduction/authentication)
        using a JWT token. Provide a valid access token. Authorization header
        format: `Authorization: Bearer <token>`.
      scheme: bearer

````